Select shipping option
curl --request POST \
--url https://sg.sandbox.api.reap.global/agentic/quotes/{id}/shipping-option \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"shippingOptionId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({shippingOptionId: '<string>'})
};
fetch('https://sg.sandbox.api.reap.global/agentic/quotes/{id}/shipping-option', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/agentic/quotes/{id}/shipping-option"
payload = { "shippingOptionId": "<string>" }
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"shippingOptions": [
{
"id": "<string>",
"name": "<string>",
"selected": true,
"price": {
"amount": 123,
"currency": "<string>"
},
"details": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"amountBreakdown": {
"itemsSubtotal": {
"amount": 123,
"currency": "<string>"
},
"discounts": [
{
"name": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
}
}
],
"additionalCharges": [
{
"name": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
}
}
],
"finalAmount": {
"amount": 123,
"currency": "<string>"
},
"shipping": {
"amount": 123,
"currency": "<string>"
},
"tax": {
"amount": {
"amount": 123,
"currency": "<string>"
},
"includedInPrices": true
}
},
"expiresAt": "<string>"
}{
"error": {
"code": "AGENTIC_REQUEST_REJECTED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_PAYMENTS_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_RESOURCE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_SERVICE_UNAVAILABLE",
"message": "<string>",
"detail": {}
}
}Agentic
Select shipping option
Selects a shipping option on an existing quote and re-prices it. The response is the updated quote with a fresh amount breakdown.
POST
/
agentic
/
quotes
/
{id}
/
shipping-option
Select shipping option
curl --request POST \
--url https://sg.sandbox.api.reap.global/agentic/quotes/{id}/shipping-option \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"shippingOptionId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({shippingOptionId: '<string>'})
};
fetch('https://sg.sandbox.api.reap.global/agentic/quotes/{id}/shipping-option', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/agentic/quotes/{id}/shipping-option"
payload = { "shippingOptionId": "<string>" }
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"shippingOptions": [
{
"id": "<string>",
"name": "<string>",
"selected": true,
"price": {
"amount": 123,
"currency": "<string>"
},
"details": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"amountBreakdown": {
"itemsSubtotal": {
"amount": 123,
"currency": "<string>"
},
"discounts": [
{
"name": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
}
}
],
"additionalCharges": [
{
"name": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
}
}
],
"finalAmount": {
"amount": 123,
"currency": "<string>"
},
"shipping": {
"amount": 123,
"currency": "<string>"
},
"tax": {
"amount": {
"amount": 123,
"currency": "<string>"
},
"includedInPrices": true
}
},
"expiresAt": "<string>"
}{
"error": {
"code": "AGENTIC_REQUEST_REJECTED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_PAYMENTS_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_RESOURCE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_SERVICE_UNAVAILABLE",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Resource identifier
Minimum string length:
1Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response for status 200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$